<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout}"
>
<head>
    <meta charset="UTF-8" />
    <title>Bank Soal</title>
</head>
<body>
<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Bank Soal
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>
                Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
            </p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p>
                        <a
                                class="link-primary"
                                th:href="@{/bank-soal/form}"
                                role="button"
                        >Click Here</a
                        >
                        for add new questions.
                    </p>
                </div>
                <div class="col-md-6" align="right"></div>
            </div>
            <div class="row">
                <div class="col-md-9">
<!--                    Show entries <span sd:page-size-selector="javascript"></span>-->
                </div>

                <div class="col-md-3" align="right">
                    <input
                            class="form-control me-2"
                            type="text"
                            placeholder="Search"
                            name="search"
                            th:value="${search}"
                            aria-label="Search"
                    />
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br />
        </form>

        <div class="row">
            <div class="col-md-12">
<!--                <div class="tableFixHead">-->
                    <table class="table table-hover table-striped small">
                        <thead class="table-dark" style="--bs-table-bg: #114083">
                        <tr>
                            <th rowspan="2" style="width: 10px">#</th>
                            <th scope="col" class="text-center" rowspan="2">Description</th>
                            <th scope="col" class="text-center" rowspan="2">Question</th>
                            <th scope="col" class="text-center" rowspan="2">Status</th>
                            <th scope="col" class="text-center" rowspan="2" style="width: 150px">Add</th>
                        </tr>
                        </thead>
                        <tbody class="align-middle">
                        <tr th:each="data, row:${desc}">
                            <td  th:text="${(row.index + 1)}"></td>
                            <td  th:if="${data[2] != null}" th:utext="${data[2]}">Deskripsi Soal</td>
                            <td  th:if="${data[2] == null}">-</td>
                            <td>
                                <table>
                                    <tr th:each="dataSoal, row:${soal}">
                                        <td th:if="${data[1] == dataSoal[1]}" th:utext="${dataSoal[2]}">
                                            
                                        </td>
                                        <td th:if="${data[1] == dataSoal[1]}">
                                            <a class="btn btn-sm btn-success" th:href="@{/bank-soal/edit(id=${dataSoal[0]})}">Edit</a>
                                            <a class="btn btn-sm btn-danger" th:href="@{/bank-soal/delete(id=${dataSoal[0]})}">Delete</a>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td >AKTIF</td>
                            <td >
                                <a class="btn btn-sm btn-primary" th:href="@{/bank-soal/add(id=${data[1]})}">Add</a>
                                <a class="btn btn-sm btn-success" th:href="@{/bank-soal/detail(descriptionId=${data[1]})}">Detail</a>
                            </td>
                        </tr>
                        </tbody>
                    </table>
<!--                </div>-->
                <br />

                <nav aria-label="Page navigation example">
<!--                    <ul class="pagination" sd:pagination="full"></ul>-->
                </nav>
            </div>
        </div>
    </main>
</main>
</body>
</html>